KAFFEINE(1)

NAME
kaffeine - A media player by KDE with digital TV support

SYNOPSIS

kaffeine [-d, --debug] [--tempfile] [-f, --fullscreen] [--audiocd] [--videocd] [--dvd] [--dumpdvb] [--channel name / number] [--tv channel] [--lastchannel] [file]

DESCRIPTION

Kaffeine is a media player. What makes it different from the others is its excellent support of digital TV (DVB). Kaffeine has user-friendly interface, so that even first time users can start immediately playing their movies: from DVD (including DVD menus, titles, chapters, etc.), VCD, or a file.

Kaffeine uses libVLC as video/audio play backend.

OPTIONS

-d --debug
    Enable all debug messages. Please notice that Kaffeine also allows fine-tuning debug messages, by enabling messages per category, by using the environment var:

    QT_LOGGING_RULES=kaffeine.category.debug=true

    where category can be:

    cam
        for dvb CAM logs

    dev
        for dvb device and libdvbv5 logs

    dvbsi
        for dvb MPEG-TS SI parsing logs

    epg
        for dvb EPG logs

    dvb
        for other dvb logs

    config
        for configuration logs

    mediawidget
        for media widget logs

    playlist
        for playlist logs

    sql
        for SQL lite logs

--tempfile
    The files/URLs opened by the application will be deleted after use

-f --fullscreen
    Start in full screen mode

--audiocd
    Play Audio CD

--videocd
    Play Video CD

--dvd
    Play DVD

--dumpdvb
    Dump dvb data (debug option)

--channel name / number
    Play TV channel

--tv channel
    (deprecated option)

--lastchannel
    Play last tuned TV channel

file
    Files or URLs to play

FILES

Kaffeine uses the file scanfile.dvb with a list of known channels per locality and per Satellite (for DVB-S).

When either new channels are added on some City, or when new Satellite beams are added, which are not available in Kaffeine, either use dvbv5-scan or w_scan to generate a new file (in the latter case, converted to the proper format using dvb-format-convert), and submit it to <linux-media@vger.kernel.org>, with the subject “[PATCH] dtv-scan-tables: some description”. The new patch will be added to scanfile.dvb and the updated file will be available to be updated from the Internet in the Kaffeine application.

SEE ALSO
    More detailed user documentation is available from help:/kaffeine[1] (either enter this URL into Konqueror, or run khelpcenter help:/kaffeine).
    kf5options(7)
    qt5options(7)
    dvbv5-scan(1)
    w-scan(1)
    There is also further information available at the Kaffeine Page[2]

AUTHORS

To list the authors of Kaffeine use kaffeine --author in a terminal.

AUTHOR

Burkhard Lück <lueck@hube-lueck.de>
    Author.

NOTES

1.  help:/kaffeine
    help:/kaffeine

2.  Kaffeine Page
    https://www.kde.org/applications/multimedia/kaffeine/